### Method

# JavaScriptCore Value function_call

#### Declaration [src]

    JSCValue*
    jsc_value_function_call (
      JSCValue* value,
      GType first_parameter_type,
      ...
    )

#### Description [src]

Call function referenced by `value`, passing the given parameters. If `first_parameter_type` is `G_TYPE_NONE` no parameters will be passed to the function.

This function always returns a `JSCValue`, in case of void functions a `JSCValue` referencing undefined is returned.

This method is not directly available to language bindings.
The implementation of this method is provided by `jsc_value_function_callv()` in language bindings

#### Parameters

`first_parameter_type` | `GType`
| `GType` of first parameter, or `G_TYPE_NONE`.
`...` | ``
| Value of the first parameter, followed optionally by more type/value pairs, followed by `G_TYPE_NONE`.

#### Return value

Returns: | `JSCValue`
| A `JSCValue` with the return value of the function.
| The caller of the method takes ownership of the data, and is responsible for freeing it.